; I/O 
ICHID       EQU $0000
ICDNO       EQU $0001
ICCOM       EQU $0002
ICSTA       EQU $0003
ICBAL       EQU $0004
ICBAH       EQU $0005
ICPTL       EQU $0006
ICPTH       EQU $0007
ICBLL       EQU $0008
ICBLH       EQU $0009
ICAX1       EQU $000A
ICAX2       EQU $000B
ICAX3       EQU $000C
ICAX4       EQU $000D
ICAX5       EQU $000E
ICAX6       EQU $000F
; 
; DISPLAY LIST EQUATES
; 
ADLI        EQU $0080
AVB         EQU $0040
ALMS        EQU $0040
AVSCR       EQU $0020
AHSCR       EQU $0010
AJMP        EQU $0001
AEMPTY1     EQU $0000
AEMPTY2     EQU $0010
AEMPTY3     EQU $0020
AEMPTY4     EQU $0030
AEMPTY5     EQU $0040
AEMPTY6     EQU $0050
AEMPTY7     EQU $0060
AEMPTY8     EQU $0070
; 
; OS VARIABLES FOR XL/XE
; 
; PAGE 0
; 
NGFLAG      EQU $0001
CASINI      EQU $0002
RAMLO       EQU $0004
TRAMSZ      EQU $0006
CMCMD       EQU $0007
WARMST      EQU $0008
BOOT        EQU $0009
DOSVEC      EQU $000A
DOSINI      EQU $000C
APPMHI      EQU $000E
POKMSK      EQU $0010
BRKKEY      EQU $0011
RTCLOK      EQU $0012
BUFADR      EQU $0015
ICCOMT      EQU $0017
DSKFMS      EQU $0018
DSKUTL      EQU $001A
ABUFPT      EQU $001C
ICHIDZ      EQU $0020
ICDNOZ      EQU $0021
ICCOMZ      EQU $0022
ICSTAZ      EQU $0023
ICBALZ      EQU $0024
ICBAHZ      EQU $0025
ICPTLZ      EQU $0026
ICPTHZ      EQU $0027
ICBLLZ      EQU $0028
ICBLHZ      EQU $0029
ICAX1Z      EQU $002A
ICAX2Z      EQU $002B
ICAX3Z      EQU $002C
ICAX4Z      EQU $002D
ICAX5Z      EQU $002E
ICAX6Z      EQU $002F
STATUS      EQU $0030
CHKSUM      EQU $0031
BUFRLO      EQU $0032
BUFRHI      EQU $0033
BFENLO      EQU $0034
BFENHI      EQU $0035
LTEMP       EQU $0036
BUFRFL      EQU $0038
RECVDN      EQU $0039
XMTDON      EQU $003A
CHKSNT      EQU $003B
NOCKSM      EQU $003C
BPTR        EQU $003D
FTYPE       EQU $003E
FEOF        EQU $003F
FREQ        EQU $0040
SOUNDR      EQU $0041
CRITIC      EQU $0042
FMSZPG      EQU $0043
ZCHAIN      EQU $004A
DSTAT       EQU $004C
ATRACT      EQU $004D
DRKMSK      EQU $004E
COLRSH      EQU $004F
TEMP        EQU $0050
HOLD1       EQU $0051
LMARGN      EQU $0052
RMARGN      EQU $0053
ROWCRS      EQU $0054
COLCRS      EQU $0055
DINDEX      EQU $0057
SAVMSC      EQU $0058
OLDROW      EQU $005A
OLDCOL      EQU $005B
OLDCHR      EQU $005D
OLDADR      EQU $005E
FKDEF       EQU $0060
PALNTS      EQU $0062
LOGCOL      EQU $0063
ADRESS      EQU $0064
MLTTMP      EQU $0066
SAVADR      EQU $0068
RAMTOP      EQU $006A
BUFCNT      EQU $006B
BUFSTR      EQU $006C
BITMSK      EQU $006E
SHFAMT      EQU $006F
ROWAC       EQU $0070
COLAC       EQU $0072
ENDPT       EQU $0074
DELTAR      EQU $0076
DELTAC      EQU $0077
KEYDEF      EQU $0079
SWPFLG      EQU $007B
HOLDCH      EQU $007C
INSDAT      EQU $007D
COUNTR      EQU $007E
LOMEM       EQU $0080
; 
; PAGE 2
; 
VDSLST      EQU $0200
VPRCED      EQU $0202
VINTER      EQU $0204
VBREAK      EQU $0206
VKEYBD      EQU $0208
VSERIN      EQU $020A
VSEROR      EQU $020C
VSEROC      EQU $020E
VTIMR1      EQU $0210
VTIMR2      EQU $0212
VTIMR4      EQU $0214
VIMIRQ      EQU $0216
CDTMV1      EQU $0218
CDTMV2      EQU $021A
CDTMV3      EQU $021C
CDTMV4      EQU $021E
CDTMV5      EQU $0220
VVBLKI      EQU $0222
VVBLKD      EQU $0224
CDTMA1      EQU $0226
CDTMA2      EQU $0228
CDTMF3      EQU $022A
SRTIMR      EQU $022B
CDTMF4      EQU $022C
INTEMP      EQU $022D
CDTMF5      EQU $022E
SDMCTL      EQU $022F
SDLSTL      EQU $0230
SDLSTH      EQU $0231
SSKCTL      EQU $0232
SPARE       EQU $0233
LPENH       EQU $0234
LPENV       EQU $0235
BRKKY       EQU $0236
VPIRQ       EQU $0238
CDEVIC      EQU $023A
CCOMND      EQU $023B
CAUX1       EQU $023C
CAUX2       EQU $023D
TMPSIO      EQU $023E
ERRFLG      EQU $023F
DFLAGS      EQU $0240
DBSECT      EQU $0241
BOOTAD      EQU $0242
COLDST      EQU $0244
RECLEN      EQU $0245
DSKTIM      EQU $0246
PDVMSK      EQU $0247
SHPDVS      EQU $0248
PDMSK       EQU $0249
RELADR      EQU $024A
PPTMPA      EQU $024C
PPTMPX      EQU $024D
CHSALT      EQU $026B
VSFLAG      EQU $026C
KEYDIS      EQU $026D
FINE        EQU $026E
GPRIOR      EQU $026F
PADDL0      EQU $0270
PADDL1      EQU $0271
PADDL2      EQU $0272
PADDL3      EQU $0273
PADDL4      EQU $0274
PADDL5      EQU $0275
PADDL6      EQU $0276
PADDL7      EQU $0277
STICK0      EQU $0278
STICK1      EQU $0279
STICK2      EQU $027A
STICK3      EQU $027B
PTRIG0      EQU $027C
PTRIG1      EQU $027D
PTRIG2      EQU $027E
PTRIG3      EQU $027F
PTRIG4      EQU $0280
PTRIG5      EQU $0281
PTRIG6      EQU $0282
PTRIG7      EQU $0283
STRIG0      EQU $0284
STRIG1      EQU $0285
STRIG2      EQU $0286
STRIG3      EQU $0287
HIBYTE      EQU $0288
WMODE       EQU $0289
BLIM        EQU $028A
IMASK       EQU $028B
JVECK       EQU $028C
NEWADR      EQU $028E
TXTROW      EQU $0290
TXTCOL      EQU $0291
TINDEX      EQU $0293
TXTMSC      EQU $0294
TXTOLD      EQU $0296
CRETRY      EQU $029C
HOLD3       EQU $029D
SUBTMP      EQU $029E
HOLD2       EQU $029F
DMASK       EQU $02A0
TMPLBT      EQU $02A1
ESCFLG      EQU $02A2
TABMAP      EQU $02A3
LOGMAP      EQU $02B2
INVFLG      EQU $02B6
FILFLG      EQU $02B7
TMPROW      EQU $02B8
TMPCOL      EQU $02B9
SCRFLG      EQU $02BB
HOLD4       EQU $02BC
DRETRY      EQU $02BD
SHFLOC      EQU $02BE
BOTSCR      EQU $02BF
PCOLR0      EQU $02C0
PCOLR1      EQU $02C1
PCOLR2      EQU $02C2
PCOLR3      EQU $02C3
COLOR0      EQU $02C4
COLOR1      EQU $02C5
COLOR2      EQU $02C6
COLOR3      EQU $02C7
COLOR4      EQU $02C8
RUNADR      EQU $02C9
HIUSED      EQU $02CB
ZHIUSE      EQU $02CD
GBYTEA      EQU $02CF
LOADAD      EQU $02D1
ZLOADA      EQU $02D3
DSCTLN      EQU $02D5
ACMISR      EQU $02D7
KRPDER      EQU $02D9
KEYREP      EQU $02DA
NOCLIK      EQU $02DB
HELPFG      EQU $02DC
DMASAV      EQU $02DD
PBPNT       EQU $02DE
PBUFSZ      EQU $02DF
RUNAD       EQU $02E0
INITAD      EQU $02E2
RAMSIZ      EQU $02E4
MEMTOP      EQU $02E5
MEMLO       EQU $02E7
HNDLOD      EQU $02E9
DVSTAT      EQU $02EA
CBAUDL      EQU $02EE
CBAUDH      EQU $02EF
CRSINH      EQU $02F0
KEYDEL      EQU $02F1
CH1         EQU $02F2
CHACT       EQU $02F3
CHBAS       EQU $02F4
NEWROW      EQU $02F5
NEWCOL      EQU $02F6
ROWINC      EQU $02F8
COLINC      EQU $02F9
CHAR        EQU $02FA
ATACHR      EQU $02FB
CH          EQU $02FC
FILDAT      EQU $02FD
DSPFLG      EQU $02FE
SSFLAG      EQU $02FF
; 
; PAGE 3
; 
DDEVIC      EQU $0300
DUNIT       EQU $0301
DCOMND      EQU $0302
DSTATS      EQU $0303
DBUFLO      EQU $0304
DBUFHI      EQU $0305
DTIMLO      EQU $0306
DUNUSE      EQU $0307
DBYTLO      EQU $0308
DBYTHI      EQU $0309
DAUX1       EQU $030A
DAUX2       EQU $030B
TIMER1      EQU $030C
ADDCOR      EQU $030E
CASFLG      EQU $030F
TIMER2      EQU $0310
TEMP1       EQU $0312
TEMP2       EQU $0314
TEMP3       EQU $0315
SAVIO       EQU $0316
TIMFLG      EQU $0317
STACKP      EQU $0318
TSTAT       EQU $0319
HATABS      EQU $031A
PUPBT1      EQU $033D
PUPBT2      EQU $033E
PUPBT3      EQU $033F
IOCB0       EQU $0340
IOCB1       EQU $0350
IOCB2       EQU $0360
IOCB3       EQU $0370
IOCB4       EQU $0380
IOCB5       EQU $0390
IOCB6       EQU $03A0
IOCB7       EQU $03B0
PRNBUF      EQU $03C0
SUPERF      EQU $03E8
CKEY        EQU $03E9
CASSBT      EQU $03EA
CARTCK      EQU $03EB
DERRF       EQU $03EC
ACMVAR      EQU $03ED
BASICF      EQU $03F8
MINTLK      EQU $03F9
GINTLK      EQU $03FA
CHLINK      EQU $03FB
CASBUF      EQU $03FD
; 
; HARDWARE REGISTERS
; 
; GTIA
; 
M0PF        EQU $D000
HPOSP0      EQU $D000
M1PF        EQU $D001
HPOSP1      EQU $D001
M2PF        EQU $D002
HPOSP2      EQU $D002
M3PF        EQU $D003
HPOSP3      EQU $D003
P0PF        EQU $D004
HPOSM0      EQU $D004
P1PF        EQU $D005
HPOSM1      EQU $D005
P2PF        EQU $D006
HPOSM2      EQU $D006
P3PF        EQU $D007
HPOSM3      EQU $D007
M0PL        EQU $D008
SIZEP0      EQU $D008
M1PL        EQU $D009
SIZEP1      EQU $D009
M2PL        EQU $D00A
SIZEP2      EQU $D00A
M3PL        EQU $D00B
SIZEP3      EQU $D00B
P0PL        EQU $D00C
SIZEM       EQU $D00C
P1PL        EQU $D00D
GRAFP0      EQU $D00D
P2PL        EQU $D00E
GRAFP1      EQU $D00E
P3PL        EQU $D00F
GRAFP2      EQU $D00F
TRIG0       EQU $D010
GRAFP3      EQU $D010
TRIG1       EQU $D011
GRAFM       EQU $D011
TRIG2       EQU $D012
COLPM0      EQU $D012
TRIG3       EQU $D013
COLPM1      EQU $D013
PAL         EQU $D014
COLPM2      EQU $D014
COLPM3      EQU $D015
COLPF0      EQU $D016
COLPF1      EQU $D017
COLPF2      EQU $D018
COLPF3      EQU $D019
COLBK       EQU $D01A
PRIOR       EQU $D01B
VDELAY      EQU $D01C
GRACTL      EQU $D01D
HITCLR      EQU $D01E
CONSOL      EQU $D01F
; 
; POKEY
; 
POT0        EQU $D200
AUDF1       EQU $D200
POT1        EQU $D201
AUDC1       EQU $D201
POT2        EQU $D202
AUDF2       EQU $D202
POT3        EQU $D203
AUDC2       EQU $D203
POT4        EQU $D204
AUDF3       EQU $D204
POT5        EQU $D205
AUDC3       EQU $D205
POT6        EQU $D206
AUDF4       EQU $D206
POT7        EQU $D207
AUDC4       EQU $D207
ALLPOT      EQU $D208
AUDCTL      EQU $D208
KBCODE      EQU $D209
STIMER      EQU $D209
RANDOM      EQU $D20A
SKREST      EQU $D20A
POTGO       EQU $D20B
SERIN       EQU $D20D
SEROUT      EQU $D20D
IRQST       EQU $D20E
IRQEN       EQU $D20E
SKSTAT      EQU $D20F
SKCTL       EQU $D20F
; 
; PIA
; 
PORTA       EQU $D300
PORTB       EQU $D301
PACTL       EQU $D302
PBCTL       EQU $D303
; 
; ANTIC
; 
DMACLT      EQU $D400
CHACTL      EQU $D401
DLISTL      EQU $D402
DLISTH      EQU $D403
HSCROL      EQU $D404
VSCROL      EQU $D405
PMBASE      EQU $D407
CHBASE      EQU $D409
WSYNC       EQU $D40A
VCOUNT      EQU $D40B
PENH        EQU $D40C
PENV        EQU $D40D
NMIEN       EQU $D40E
NMIST       EQU $D40F
NMIRES      EQU $D40F
; 
; FLOATING POINT ROUTINES
; 
AFP         EQU $D800
FASC        EQU $D8E6
IFP         EQU $D9AA
FPI         EQU $D9D2
ZFR0        EQU $DA44
ZF1         EQU $DA46
FSUB        EQU $DA60
FADD        EQU $DA66
FMUL        EQU $DADB
FDIV        EQU $DB28
PLYEVL      EQU $DD40
FLD0R       EQU $DD89
FLD0P       EQU $DD8D
FLD1R       EQU $DD98
FLD1P       EQU $DD9C
FSTOR       EQU $DDA7
FSTOP       EQU $DDAB
FMOVE       EQU $DDB6
EXP         EQU $DDC0
EXP10       EQU $DDCC
LOG         EQU $DECD
LOG10       EQU $DED1
; 
; ROM VECTORS
; 
DSKINV      EQU $E453
CIOV        EQU $E456
SIOV        EQU $E459
SETVBV      EQU $E45C
SYSVBV      EQU $E45F
XITVBV      EQU $E462
SIOINV      EQU $E465
SENDEV      EQU $E468
INTINV      EQU $E46B
CIOINV      EQU $E46E
SELFSV      EQU $E471
WARMSV      EQU $E474
COLDSV      EQU $E477
RBLOKV      EQU $E47A
CSOPIV      EQU $E47D
PUPDIV      EQU $E480
SELFTSV     EQU $E483
PENTV       EQU $E486
PHUNLV      EQU $E489
PHINIV      EQU $E48C
GPDVV       EQU $E48F 
